
public class Class225_Sub12_Sub4 extends Class225_Sub12 {

   int anInt10549;
   static Class340 aClass340_10550 = new Class340(64, Class339.aClass339_4367);
   int anInt10551;
   int anInt10552 = 470973184;
   int anInt10553 = 0;
   Class456 aClass456_10554 = new Class456();
   int anInt10555 = -2122458880;
   static final int anInt10556 = 100;
   boolean aBool10557;
   boolean aBool10558;


   synchronized int method16227() {
      return 386068517 * this.anInt10553;
   }

   public void method16228(int var1, int var2) {
      this.anInt10555 = var1 * -2021556775;
      this.anInt10552 = -669248901 * var1;
   }

   synchronized void method13573(int[] var1, int var2, int var3) {
      if(!this.aBool10558) {
         if(this.method16255(-600411930) == null) {
            if(this.aBool10557) {
               this.method3857(-1335247762);
               aClass340_10550.method6248((byte)-76);
            }

         } else {
            int var4 = var3 + var2;
            if(Class206.aBool2441) {
               var4 <<= 1;
            }

            byte var5 = 0;
            byte var6 = 0;
            if(2 == this.anInt10549 * -1715221289) {
               var6 = 1;
            }

            while(var2 < var4) {
               Class225_Sub9 var7 = this.method16255(-1331512366);
               if(null == var7) {
                  return;
               }

               short[][] var8;
               for(var8 = var7.aShortArrayArray8518; var2 < var4 && this.anInt10551 * 700194327 < var8[0].length; this.anInt10551 += -1583547993) {
                  if(Class206.aBool2441) {
                     var1[var2++] = var8[var5][700194327 * this.anInt10551] * 392639081 * this.anInt10555;
                     var1[var2++] = var8[var6][this.anInt10551 * 700194327] * this.anInt10552 * -1909785421;
                  } else {
                     int var10001 = var2++;
                     var1[var10001] += this.anInt10555 * 392639081 * var8[var5][700194327 * this.anInt10551] + this.anInt10552 * -1909785421 * var8[var6][this.anInt10551 * 700194327];
                  }
               }

               if(this.anInt10551 * 700194327 >= var8[0].length) {
                  this.method16258((byte)33);
               }
            }

         }
      }
   }

   synchronized void method13580(int var1) {
      if(!this.aBool10558) {
         while(true) {
            Class225_Sub9 var2 = this.method16255(-298779757);
            if(var2 == null) {
               if(this.aBool10557) {
                  this.method3857(843829372);
                  aClass340_10550.method6248((byte)5);
               }

               return;
            }

            if(var2.aShortArrayArray8518[0].length - this.anInt10551 * 700194327 > var1) {
               this.anInt10551 += var1 * -1583547993;
               return;
            }

            var1 -= var2.aShortArrayArray8518[0].length - this.anInt10551 * 700194327;
            this.method16258((byte)94);
         }
      }
   }

   static final void method16229(Class124 var0, Class508 var1, byte var2) {
      if(client.method12284(var0).method14235(1432541782) && client.aClass124_7834 == null) {
         Class502.method8380(var0.anInt1406 * 34646887, -875927841 * var0.anInt1369, (byte)21);
         client.aClass124_7834 = Class223.method3836(var0.anInt1406 * 34646887, -875927841 * var0.anInt1369, (byte)1);
         Class460.method7767(client.aClass124_7834, -119366743);
      }

   }

   Class225_Sub12_Sub4(int var1) {
      this.anInt10549 = 1910499047 * var1;
   }

   synchronized void method13575(int[] var1, int var2, int var3) {
      if(!this.aBool10558) {
         if(this.method16255(-2033307283) == null) {
            if(this.aBool10557) {
               this.method3857(-853623519);
               aClass340_10550.method6248((byte)59);
            }

         } else {
            int var4 = var3 + var2;
            if(Class206.aBool2441) {
               var4 <<= 1;
            }

            byte var5 = 0;
            byte var6 = 0;
            if(2 == this.anInt10549 * -1715221289) {
               var6 = 1;
            }

            while(var2 < var4) {
               Class225_Sub9 var7 = this.method16255(-914417209);
               if(null == var7) {
                  return;
               }

               short[][] var8;
               for(var8 = var7.aShortArrayArray8518; var2 < var4 && this.anInt10551 * 700194327 < var8[0].length; this.anInt10551 += -1583547993) {
                  if(Class206.aBool2441) {
                     var1[var2++] = var8[var5][700194327 * this.anInt10551] * 392639081 * this.anInt10555;
                     var1[var2++] = var8[var6][this.anInt10551 * 700194327] * this.anInt10552 * -1909785421;
                  } else {
                     int var10001 = var2++;
                     var1[var10001] += this.anInt10555 * 392639081 * var8[var5][700194327 * this.anInt10551] + this.anInt10552 * -1909785421 * var8[var6][this.anInt10551 * 700194327];
                  }
               }

               if(this.anInt10551 * 700194327 >= var8[0].length) {
                  this.method16258((byte)72);
               }
            }

         }
      }
   }

   Class225_Sub9 method16230(int var1, double var2) {
      long var4 = (long)(-1715221289 * this.anInt10549 << 32 | var1);
      Class225_Sub9 var6 = (Class225_Sub9)aClass340_10550.method6243(Long.valueOf(var4), (byte)67);
      if(var6 != null) {
         var6.aDouble8517 = var2;
         aClass340_10550.method6245(Long.valueOf(var4), 1843818817);
      } else {
         var6 = new Class225_Sub9(new short[-1715221289 * this.anInt10549][var1], var2);
      }

      return var6;
   }

   synchronized void method16231(Class225_Sub9 var1, int var2) {
      while(386068517 * this.anInt10553 >= 100) {
         this.aClass456_10554.method7649((byte)8);
         this.anInt10553 -= -1111512147;
      }

      this.aClass456_10554.method7712(var1, (byte)100);
      this.anInt10553 += -1111512147;
   }

   synchronized void method16232() {
      this.aBool10557 = true;
   }

   synchronized void method16233(int var1) {
      this.aBool10557 = true;
   }

   synchronized void method16234(boolean var1, byte var2) {
      this.aBool10558 = var1;
   }

   synchronized void method16235() {
      Class225_Sub9 var1 = this.method16255(-1513546869);
      if(null != var1) {
         var1.method3857(-15990523);
         this.anInt10551 = 0;
         this.anInt10553 -= -1111512147;
         aClass340_10550.method6244(Long.valueOf(var1.method13554(894775758)), var1, 403607871);
      }
   }

   Class225_Sub12 method13582() {
      return null;
   }

   Class225_Sub12 method13572() {
      return null;
   }

   synchronized double method16236() {
      if(386068517 * this.anInt10553 < 1) {
         return -1.0D;
      } else {
         Class225_Sub9 var1 = (Class225_Sub9)this.aClass456_10554.method7682((byte)87);
         return null == var1?-1.0D:var1.aDouble8517 - (double)((float)var1.aShortArrayArray8518[0].length / (float)Class206.anInt2437);
      }
   }

   Class225_Sub12 method13570() {
      return null;
   }

   Class225_Sub12 method13563() {
      return null;
   }

   synchronized void method16237() {
      this.aBool10557 = true;
   }

   int method13579() {
      return 1;
   }

   int method13574() {
      return 1;
   }

   Class225_Sub12 method13566() {
      return null;
   }

   synchronized void method16238(boolean var1) {
      this.aBool10558 = var1;
   }

   public void method16239(int var1) {
      this.anInt10555 = var1 * -2021556775;
      this.anInt10552 = -669248901 * var1;
   }

   synchronized Class225_Sub9 method16240() {
      return (Class225_Sub9)this.aClass456_10554.method7682((byte)7);
   }

   synchronized int method16241() {
      return 386068517 * this.anInt10553;
   }

   synchronized void method16242(Class225_Sub9 var1) {
      while(386068517 * this.anInt10553 >= 100) {
         this.aClass456_10554.method7649((byte)8);
         this.anInt10553 -= -1111512147;
      }

      this.aClass456_10554.method7712(var1, (byte)83);
      this.anInt10553 += -1111512147;
   }

   synchronized Class225_Sub9 method16243() {
      return (Class225_Sub9)this.aClass456_10554.method7682((byte)82);
   }

   synchronized void method16244() {
      Class225_Sub9 var1 = this.method16255(-604809436);
      if(null != var1) {
         var1.method3857(1614296487);
         this.anInt10551 = 0;
         this.anInt10553 -= -1111512147;
         aClass340_10550.method6244(Long.valueOf(var1.method13554(1848478369)), var1, 2093730513);
      }
   }

   synchronized void method16245() {
      Class225_Sub9 var1 = this.method16255(-1683907161);
      if(null != var1) {
         var1.method3857(80270630);
         this.anInt10551 = 0;
         this.anInt10553 -= -1111512147;
         aClass340_10550.method6244(Long.valueOf(var1.method13554(-1348355988)), var1, -391124832);
      }
   }

   synchronized int method16246() {
      return 386068517 * this.anInt10553;
   }

   int method13567() {
      return 1;
   }

   synchronized void method16247() {
      Class225_Sub9 var1 = this.method16255(-374461954);
      if(null != var1) {
         var1.method3857(1186596325);
         this.anInt10551 = 0;
         this.anInt10553 -= -1111512147;
         aClass340_10550.method6244(Long.valueOf(var1.method13554(1085263817)), var1, 337375373);
      }
   }

   synchronized double method16248(short var1) {
      if(386068517 * this.anInt10553 < 1) {
         return -1.0D;
      } else {
         Class225_Sub9 var2 = (Class225_Sub9)this.aClass456_10554.method7682((byte)16);
         return null == var2?-1.0D:var2.aDouble8517 - (double)((float)var2.aShortArrayArray8518[0].length / (float)Class206.anInt2437);
      }
   }

   synchronized double method16249() {
      if(386068517 * this.anInt10553 < 1) {
         return -1.0D;
      } else {
         Class225_Sub9 var1 = (Class225_Sub9)this.aClass456_10554.method7682((byte)70);
         return null == var1?-1.0D:var1.aDouble8517 - (double)((float)var1.aShortArrayArray8518[0].length / (float)Class206.anInt2437);
      }
   }

   synchronized double method16250() {
      if(386068517 * this.anInt10553 < 1) {
         return -1.0D;
      } else {
         Class225_Sub9 var1 = (Class225_Sub9)this.aClass456_10554.method7682((byte)33);
         return null == var1?-1.0D:var1.aDouble8517 - (double)((float)var1.aShortArrayArray8518[0].length / (float)Class206.anInt2437);
      }
   }

   synchronized double method16251() {
      if(386068517 * this.anInt10553 < 1) {
         return -1.0D;
      } else {
         Class225_Sub9 var1 = (Class225_Sub9)this.aClass456_10554.method7682((byte)28);
         return null == var1?-1.0D:var1.aDouble8517 - (double)((float)var1.aShortArrayArray8518[0].length / (float)Class206.anInt2437);
      }
   }

   synchronized double method16252() {
      if(386068517 * this.anInt10553 < 1) {
         return -1.0D;
      } else {
         Class225_Sub9 var1 = (Class225_Sub9)this.aClass456_10554.method7682((byte)86);
         return null == var1?-1.0D:var1.aDouble8517 - (double)((float)var1.aShortArrayArray8518[0].length / (float)Class206.anInt2437);
      }
   }

   synchronized int method16253(int var1) {
      return 386068517 * this.anInt10553;
   }

   synchronized void method16254() {
      this.aBool10557 = true;
   }

   synchronized void method13576(int var1) {
      if(!this.aBool10558) {
         while(true) {
            Class225_Sub9 var2 = this.method16255(-868157086);
            if(var2 == null) {
               if(this.aBool10557) {
                  this.method3857(935690813);
                  aClass340_10550.method6248((byte)-1);
               }

               return;
            }

            if(var2.aShortArrayArray8518[0].length - this.anInt10551 * 700194327 > var1) {
               this.anInt10551 += var1 * -1583547993;
               return;
            }

            var1 -= var2.aShortArrayArray8518[0].length - this.anInt10551 * 700194327;
            this.method16258((byte)3);
         }
      }
   }

   synchronized Class225_Sub9 method16255(int var1) {
      return (Class225_Sub9)this.aClass456_10554.method7682((byte)90);
   }

   static void method16256(byte var0) {
      if(-381041791 * GameEngine.anInt3326 > 1) {
         Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub22_8461, 4, 1469803661);
      } else {
         Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub22_8461, 2, -2070332746);
      }

   }

   static void method16257(Class225_Sub14_Sub6 var0, int var1, Class508 var2, int var3) {
      var2.anInt6003 = 0;
      var2.anInt6005 = 0;
      var2.anInt6025 = -2029505775;
      var2.aClass225_Sub14_Sub6_6001 = var0;
      var2.aClass518Array6024 = var2.aClass225_Sub14_Sub6_6001.aClass518Array10440;
      var2.anIntArray6023 = var2.aClass225_Sub14_Sub6_6001.anIntArray10447;
      Class518 var4 = null;
      var2.anInt6015 = 0;
      var2.aMap6018.clear();
      var2.aMap6018.put(Class251.aClass251_2983, Class118_Sub1.aClass175_8204.aClass569_2131);
      var2.aMap6018.put(Class251.aClass251_2982, Class498.aClass167_Sub1_5945);
      var2.aMap6018.put(Class251.aClass251_2978, Class114.aClass167_1109);
      if(var2.aClass64_5997 != null) {
         var2.aMap6018.put(Class251.aClass251_2979, Class105.method2163(var2.aClass64_5997, -1028093919));
      }

      if(var2.aClass515_Sub1_Sub4_Sub4_6021 instanceof Class515_Sub1_Sub4_Sub4_Sub2) {
         var2.aMap6018.put(Class251.aClass251_2973, var2.aClass515_Sub1_Sub4_Sub4_6021.anInterface14_10792);
      }

      if(var2.aClass515_Sub1_Sub4_Sub4_6021 instanceof Class515_Sub1_Sub4_Sub4_Sub1) {
         var2.aMap6019.put(Class251.aClass251_2983, var2.aClass515_Sub1_Sub4_Sub4_6021.anInterface14_10792);
      }

      try {
         Class506.anInt5981 = 0;

         while(true) {
            Class506.anInt5981 += -2101767657;
            if(-1033189977 * Class506.anInt5981 > var1) {
               throw new RuntimeException("");
            }
            var4 = var2.aClass518Array6024[(var2.anInt6025 += 2029505775) * 1651565071];
            if(Class506.aBool5979 && (Class506.aString5989 == null || null != var2.aClass225_Sub14_Sub6_6001.aString10441 && var2.aClass225_Sub14_Sub6_6001.aString10441.indexOf(Class506.aString5989) != -1)) {
               System.out.println(var2.aClass225_Sub14_Sub6_6001.aString10441 + ": " + var4);
            }

            if(1 == var2.anIntArray6023[1651565071 * var2.anInt6025]) {
               var2.aBool6014 = true;
            } else {
               var2.aBool6014 = false;
            }

            if(Class518.aClass518_6095 == var4 && 0 == 1715771149 * var2.anInt6015) {
               Class505.method8442((byte)-38);
               return;
            }

            Class402.method6823(var4, var2, 1608438748);
         }
      } catch (Exception var11) {
         StringBuilder var6 = new StringBuilder(30);
         var6.append("").append(var2.aClass225_Sub14_Sub6_6001.aLong2606 * -7222396723785363401L).append(" ");

         for(int var7 = 1715771149 * var2.anInt6015 - 1; var7 >= 0; --var7) {
            var6.append("").append(var2.aClass507Array6009[var7].aClass225_Sub14_Sub6_5993.aLong2606 * -7222396723785363401L).append(" ");
         }

         var6.append("").append(Integer.valueOf(var4.anInt6423 * -568926213));
         Class109.method2190(var6.toString(), var11, -1458130707);
         Class505.method8442((byte)-3);
      } finally {
         Class505.method8442((byte)-29);
      }
   }

   synchronized void method16258(byte var1) {
      Class225_Sub9 var2 = this.method16255(-171402029);
      if(null != var2) {
         var2.method3857(-539517863);
         this.anInt10551 = 0;
         this.anInt10553 -= -1111512147;
         aClass340_10550.method6244(Long.valueOf(var2.method13554(1504764651)), var2, 325672547);
      }
   }

   static final void method16259(Class508 var0, int var1) {
      ItemDefinition.method6941((String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949], false, false, -640243799);
   }

   static String method16260(int var0, int var1, boolean var2, int var3) {
      if(var1 >= 2 && var1 <= 36) {
         if(var2 && var0 >= 0) {
            int var4 = 2;

            for(int var5 = var0 / var1; var5 != 0; ++var4) {
               var5 /= var1;
            }

            char[] var6 = new char[var4];
            var6[0] = 43;

            for(int var7 = var4 - 1; var7 > 0; --var7) {
               int var8 = var0;
               var0 /= var1;
               int var9 = var8 - var0 * var1;
               if(var9 >= 10) {
                  var6[var7] = (char)(87 + var9);
               } else {
                  var6[var7] = (char)(48 + var9);
               }
            }

            return new String(var6);
         } else {
            return Integer.toString(var0, var1);
         }
      } else {
         throw new IllegalArgumentException("" + var1);
      }
   }

   static final void method16261(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = -328723115 * client.aClass273Array7653[var2].anInt3177;
   }

   static final void method16262(Class508 var0, byte var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class535.method11289(var3, var0, (byte)10);
   }

   static void method16263(byte var0) {
      for(Class225_Sub14_Sub10 var1 = (Class225_Sub14_Sub10)Class2.aClass455_34.method7602(1265388557); var1 != null; var1 = (Class225_Sub14_Sub10)Class2.aClass455_34.method7604(-646532979)) {
         if(244043713 * var1.anInt10523 > 1) {
            var1.anInt10523 = 0;
            Class2.aClass564_21.method11958(var1, -602369643771216591L * ((Class225_Sub14_Sub3)var1.aClass455_10525.aClass225_Sub14_5685.aClass225_Sub14_8553).aLong10018);
            var1.aClass455_10525.method7614((byte)-77);
         }
      }

      Class2.anInt28 = 0;
      Class2.anInt27 = 0;
      Class2.aClass456_29.method7627((byte)16);
      Class2.aClass423_36.method7212(973265974);
      Class2.aClass455_34.method7614((byte)-71);
      Class235.method4074(Class2.aClass225_Sub14_Sub3_16, (byte)-3);
   }

   public static void method16264(int var0, int var1) {
      Class104.aClass225_Sub12_Sub2_1026.method15663(var0 >> 8, -1652380120);
   }
}
